4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.UserClient

Classes: UserClient

## Classes

class UserClient(Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient, Ft.Server.Client.Core.GroupableObjectMixin.GroupableObjectMixin)
A specialized Xml document which represents a sytem user

### Methods

__delitem__(self, name)
Implements python dictionary interface
__getitem__(self, name)
Implements python dictionary interface
__setitem__(self, name, value)
Implements python dictionary interface
get(self, name, defaultValue=None)
Implements python dictionary 'get' interface for the user data associated with this user
getPassword(self)
Get the SHA1 hash of this users password
getUserData(self)
Returns a dictionary containing key value pairs of user data
getUsername(self)
Get the user name of this user.
has_key(self, key)
Implements python dictionary 'has_key' interface
items(self)
Implements python dictionary 'items' interface
keys(self)
Implements python dictionary 'keys' interface
setPassword(self, newPasswd)
setUserData(self, userData)
Sets the user data using the specified dictionary
values(self)
Implements python dictionary 'values' interface

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Client.Core.GroupableObjectMixin.GroupableObjectMixin

getGroups